[tool.sqlfluff.core]
dialiact = "mysql"
max_line_length = 110
exclude_rules = "ST06"

[tool.sqlfluff.rules.capitalisation.keywords]
capitalisation_policy = "lower"

[tool.sqlfluff.rules.capitalisation.identifiers]
extended_capitalisation_policy = "pascal"

[tool.sqlfluff.rules.capitalisation.types]
extended_capitalisation_policy = "lower"

[tool.sqlfluff.rules.references.keywords]
ignore_words = "role"

[tool.sqlfluff.indentation]
allow_implicit_indents = true
